# Portal Phenology Images

[**Portal Site Phenocam.**](http://phenocam.sr.unh.edu/webcam/sites/portal/)


The Portal Project contributes images to the [PhenoCam Network](http://phenocam.sr.unh.edu/webcam/) via a [StarDot](http://www.stardot-tech.com/) NetCam SC IR. Images are taken daily at noon from the weather station and include plot 1 and the surrounding area (see [Figure 1](../SiteandMethods/Portal_Figure1.tif) for locations). RGB and infrared images are available at the link above.

### Site Description:

The site occurs in an upper-elevation Chihuahuan Desert habitat (1330 m), dominated by a mixture of shrubs (e.g. Acacia sp., Prosopis sp., Flourensia cernua) and grasses (e.g. Aristida sp. Bouteloua sp., Muhlenbergia porteri.). Dominance of grasses versus shrubs has shifted over the 30 years of the study, shifting from what was mainly a desertified open grassland to a mixed shrubland (Brown et al 1997). The site itself sits on a bajada at the base of the Chiricahua Mountains and consists of mainly sandy soils.

The entire study area is approximately 20 ha and within this area there are 24 experimental plots [Figure 1](../SiteandMethods/Portal_Figure1.tif). Each plot is 0.25 ha (50m x 50m) and fenced with hardware cloth topped with aluminum flashing. Access to these plots by rodents is regulated by gates cut into fencing. On each plot there are permanent census grids: one for rodents and ants and another for plants. For the rodent/ant grid, 49 permanent trapping stations are marked by rebar stakes forming a 7x7 grid, with 6.25 m between stakes. Every stake on a plot has a unique identifying number denoting the coordinate of that stake on that plot. For example, stake 11 is the first stake on the first row. Rows are numbered 1 through 7 going from the most northern row to the most southern. Columns are numbered 1 through 7 going from the most western column to the most eastern [Figure 1](../SiteandMethods/Portal_Figure1.tif). The plant grid contains fewer rows and columns (4 rows, 4 columns). Numbering of the plant stakes follows similar rules to the rodent/ant grid, except that even numbered rows and columns are skipped (censuses use rows 1, 3, 5, 7 and columns 1, 3, 5, 7). Each plant quadrat is 1 m south of the rodent/ant stake of the corresponding number. Details for how these grids are used for data collection can be found in the metadata for the specific dataset files. 

The study site is located approximately 6.5 km north and 2 km east of the town of Portal, AZ (31?56'20.29"N 109? 4'47.44"W). We have provided GPS coordinates for the rodent stakes, plant quadrats, plot corners, and the weather station ([Coordinates file](../SiteandMethods/Portal_UTMcoords.csv)). These data were collected March 12 ? 17, 2011. A few missing coordinates and the coordinates for the newly-rebuilt corner of plot 24 were collected March 28-29, 2017 with a regular (less accurate) handheld GPS. These are flagged in the data.

